<?php

namespace App\Filament\Admin\Resources\PerformanceCards\Pages;

use App\Filament\Admin\Resources\PerformanceCards\PerformanceCardResource;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Actions\ViewAction;
use Filament\Resources\Pages\EditRecord;

class EditPerformanceCard extends EditRecord
{
    protected static string $resource = PerformanceCardResource::class;

    protected function getHeaderActions(): array
    {
        return [
            ViewAction::make(),
            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }
}
